Bug 35766 - univention-samba: join as PDC fails
univention-samba: join as PDC fails
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Arvid Requate
Felix Botner
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-01 18:17 CEST by Felix Botner
Modified: 2014-11-26 06:53 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-09-01 18:17:42 CEST
On a UCS master during univention-samba join, i get 

Failed to join domain: Machine is a Domain Controller
ERROR: Failed to join via net rpc join. Please check your Samba DCs and your DNS and WINS configuration.
Comment 2 Arvid Requate univentionstaff 2014-09-01 19:44:19 CEST
The "net rpc join" for the master has been introduced for Bug 14638.
Comment 3 Arvid Requate univentionstaff 2014-09-01 20:46:36 CEST
If net rpc join fails on a DC master a warning is issued but the joinscript continues. Let's see how this works in real life (e.g. with winbind/squid).
Comment 4 Arvid Requate univentionstaff 2014-09-01 20:52:22 CEST
While at it, I fixed Bug 33261 for UCS 4.0.
Comment 5 Felix Botner univentionstaff 2014-09-02 13:00:12 CEST
OK - on master 26univention-samba.inst succeeds even if the net join fails
OK - Bug 33261 

OK - Changelog
Comment 6 Stefan Gohmann univentionstaff 2014-11-26 06:53:57 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".